getQuotes
READGet quotes.
POST /api/v1/sales/getQuotes
curl -X POST '<your-host>/api/v1/sales/getQuotes' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"id": "string",
"quoteId": "string",
"revisionId": 0,
"dueDate": "string",
"expirationDate": "string",
"status": "Cancelled",
"salesPersonId": "string",
"estimatorId": "string",
"customerId": "string",
"customerReference": "string",
"assignee": "string",
"customFields": "…",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"updatedAt": "string",
"updatedBy": "string",
"thumbnailPath": "string",
"itemType": "Part",
"locationName": "string",
"lines": 0,
"completedLines": 0
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}